using System;

internal sealed class Delegate536 : MulticastDelegate
{
	public extern object Invoke(object object_0);

	public static object smethod_0(object object_0, Delegate536 delegate536_1)
	{
		return delegate536_1(object_0);
	}

	public extern Delegate536(object object_0, IntPtr intptr_0);

	static Delegate536()
	{
		Class10.smethod_13(typeof(Delegate536).TypeHandle);
	}

	internal static Delegate536 delegate536_0;
}
